Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Friends | List of all members
EggMesher Class Reference

Collects together unrelated EggPrimitives, determines their edge connectivity, and generates a set of EggTriangleStrips that represent the same geometry. More...

`#include "eggMesher.h"`

## Public Member Functions
void | mesh (EggGroupNode *group, bool flat_shaded)
| Accepts an EggGroupNode, which contains a set of EggPrimitives–typically, triangles and quads–as children.
void | write (std::ostream &out) const

## Public Attributes
bool | _consider_fans
bool | _retesselate_coplanar
bool | _show_qsheets
bool | _show_quads

## Friends
class | EggMesherFanMaker
class | EggMesherStrip

## Detailed Description

Collects together unrelated EggPrimitives, determines their edge connectivity, and generates a set of EggTriangleStrips that represent the same geometry.

Definition at line 33 of file eggMesher.h.

## Constructor & Destructor Documentation

## ◆ EggMesher()

EggMesher::EggMesher | ( |  | ) |

Definition at line 31 of file eggMesher.cxx.

## Member Function Documentation

## ◆ mesh()

void EggMesher::mesh | ( | EggGroupNode * | group,
|  | bool | flat_shaded )

Accepts an EggGroupNode, which contains a set of EggPrimitives–typically, triangles and quads–as children.

Removes these primitives and replaces them with (mostly) equivalent EggTriangleStrips and EggTriangleFans where possible.

If flat_shaded is true, then odd-length triangle strips, and triangle fans of any length, are not permitted (because these can't be rotated when required to move the colored vertex of each triangle to the first or last position).

Definition at line 48 of file eggMesher.cxx.

References EggPrimitive::get_pool, and EggGroupNode::steal_children().

Referenced by EggGroupNode::mesh_triangles().

## ◆ write()

void EggMesher::write | ( | std::ostream & | out | ) | const

Definition at line 115 of file eggMesher.cxx.

## Friends And Related Symbol Documentation

## ◆ EggMesherFanMaker

friend class EggMesherFanMaker
| friend

Definition at line 80 of file eggMesher.h.

## ◆ EggMesherStrip

friend class EggMesherStrip
| friend

Definition at line 79 of file eggMesher.h.

## Member Data Documentation

## ◆ _consider_fans

bool EggMesher::_consider_fans

Definition at line 41 of file eggMesher.h.

## ◆ _retesselate_coplanar

bool EggMesher::_retesselate_coplanar

Definition at line 42 of file eggMesher.h.

## ◆ _show_qsheets

bool EggMesher::_show_qsheets

Definition at line 44 of file eggMesher.h.

## ◆ _show_quads

bool EggMesher::_show_quads

Definition at line 43 of file eggMesher.h.

The documentation for this class was generated from the following files:

- panda/src/egg/eggMesher.h
- panda/src/egg/eggMesher.cxx